"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EudiWallet = void 0;
var _reactNative = require("react-native");
var _EudiWalletEventManager = require("./EudiWalletEventManager");
const {
  EudiWalletModule
} = _reactNative.NativeModules;
class EudiWallet {
  static isInitialized = false;
  static async initialize(config) {
    await EudiWalletModule.initialize(config);
    _EudiWalletEventManager.EudiWalletEventManager.start();
    this.isInitialized = true;
  }
  static getDocuments() {
    return EudiWalletModule.getDocuments();
  }
  static getDocumentById(documentId) {
    return EudiWalletModule.getDocumentById(documentId);
  }
  static deleteDocumentById(documentId) {
    return EudiWalletModule.deleteDocumentById(documentId);
  }
  static issueDocument(docType) {
    return EudiWalletModule.issueDocument(docType);
  }
  static startRemotePresentation(url) {
    EudiWalletModule.startRemotePresentation(url);
  }
  static startProximityPresentation() {
    EudiWalletModule.startProximityPresentation();
  }
  static sendResponse(disclosedDocuments) {
    return EudiWalletModule.sendResponse(disclosedDocuments);
  }
  static stopPresentation(sendSessionTerminationMessage = true, useTransportSpecificSessionTermination = false) {
    if (_reactNative.Platform.OS === 'android') {
      EudiWalletModule.stopPresentation(sendSessionTerminationMessage, useTransportSpecificSessionTermination);
    } else {
      EudiWalletModule.stopPresentation();
    }
  }
  static async loadSampleData(sampleDataFile) {
    await EudiWalletModule.loadSampleData(sampleDataFile);
  }
  static addTransferEventListener(eventListener) {
    return _EudiWalletEventManager.EudiWalletEventManager.addEventListener(eventListener);
  }
  static removeTransferEventListener(listenerId) {
    _EudiWalletEventManager.EudiWalletEventManager.removeEventListener(listenerId);
  }
}
exports.EudiWallet = EudiWallet;
//# sourceMappingURL=EudiWallet.js.map