import { NativeEventEmitter, NativeModules } from 'react-native';
import uuid from 'react-native-uuid';
const {
  EudiWalletProxyEventsModule
} = NativeModules;
const {
  PROXY_EVENT_TYPE
} = EudiWalletProxyEventsModule.getConstants();
export class EudiWalletEventManager {
  static nativeEventEmitter = new NativeEventEmitter(EudiWalletProxyEventsModule);
  static eventListeners = new Map();
  static start() {
    this.nativeEventEmitter.addListener(PROXY_EVENT_TYPE, proxyEvent => {
      this.eventListeners.forEach(listener => listener(proxyEvent));
    });
  }
  static stop() {
    var _this$nativeEventEmit;
    this.eventListeners.clear();
    (_this$nativeEventEmit = this.nativeEventEmitter) === null || _this$nativeEventEmit === void 0 || _this$nativeEventEmit.removeAllListeners(PROXY_EVENT_TYPE);
  }
  static addEventListener(eventListener) {
    const listenerId = uuid.v4();
    this.eventListeners.set(listenerId, eventListener);
    return listenerId;
  }
  static removeEventListener(listenerId) {
    if (!this.eventListeners.has(listenerId)) {
      throw new Error(`Cannot find event listener to remove (listenerId = ${listenerId}`);
    }
    this.eventListeners.delete(listenerId);
  }
}
//# sourceMappingURL=EudiWalletEventManager.js.map