import type { EudiWalletConfig } from './config';
import type { TransferEventListener } from './events';
import type { DisclosedDocument, Document } from './model';
export declare abstract class EudiWallet {
    static isInitialized: boolean;
    static initialize(config: EudiWalletConfig): Promise<void>;
    static getDocuments(): Promise<Document[]>;
    static getDocumentById(documentId: string): Promise<Document>;
    static deleteDocumentById(documentId: string): Promise<void>;
    static issueDocument(docType: string): Promise<string>;
    static startRemotePresentation(url: string): void;
    static startProximityPresentation(): void;
    static sendResponse(disclosedDocuments: DisclosedDocument[]): Promise<void>;
    static stopPresentation(sendSessionTerminationMessage?: boolean, useTransportSpecificSessionTermination?: boolean): void;
    static loadSampleData(sampleDataFile?: string): Promise<void>;
    static addTransferEventListener(eventListener: TransferEventListener): string;
    static removeTransferEventListener(listenerId: string): void;
}
//# sourceMappingURL=EudiWallet.d.ts.map